# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'thinkific_ruby/version'

Gem::Specification.new do |spec|
  spec.name          = "thinkific_ruby_test"
  spec.version       = ThinkificRuby::VERSION
  spec.authors       = ["daniel-johnson"]
  spec.email         = ["janiel.dohnson@gmail.com"]

  spec.summary       = %q{A Thinkific API ruby wrapper}
  spec.description   = %q{A fantastic ruby gem for interacting with the Thinkific API. But I'm just testing it right now, so please ignore.}
  spec.homepage      = "https://github.com/daniel-johnson/thinkific_ruby"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "http://RubyGems.org"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency 'webmock', '~> 2.0', '>= 2.0.3'
  spec.add_development_dependency "pry-byebug", "~> 3.4"
  spec.add_dependency "faraday", "~> 0.9.2"
  spec.add_dependency "json", '~> 1.8', '>= 1.8.3'
end

#   ▄▄▄▄▄ ██      ▄   ▄█ ▄███▄   █           ▄ ▄   ██      ▄▄▄▄▄        ▄  █ ▄███▄   █▄▄▄▄ ▄███▄   
# ▄▀  █   █ █      █  ██ █▀   ▀  █          █   █  █ █    █     ▀▄     █   █ █▀   ▀  █  ▄▀ █▀   ▀  
#     █   █▄▄█ ██   █ ██ ██▄▄    █         █ ▄   █ █▄▄█ ▄  ▀▀▀▀▄       ██▀▀█ ██▄▄    █▀▀▌  ██▄▄    
#  ▄ █    █  █ █ █  █ ▐█ █▄   ▄▀ ███▄      █  █  █ █  █  ▀▄▄▄▄▀        █   █ █▄   ▄▀ █  █  █▄   ▄▀ 
#   ▀        █ █  █ █  ▐ ▀███▀       ▀      █ █ █     █                   █  ▀███▀     █   ▀███▀   
#           █  █   ██                        ▀ ▀     █                   ▀            ▀            
#          ▀                                        ▀                                              
